Loading...
Searching...
No Matches
pappso::specglob::ScoreValues Class Reference

`#include <scorevalues.h>`

## Public Member Functions

| ScoreValues ()
| ScoreValues (const ScoreValues &other)
virtual | ~ScoreValues ()
const ScoreValues & | operator= (const ScoreValues &other)
int | get (ScoreValueType type)
void | set (ScoreValueType type, int value)

## Private Attributes

int | m_scoreTable [10]

## Detailed Description

Todo:
  write docs

Definition at line 53 of file scorevalues.h.

## Constructor & Destructor Documentation

## ScoreValues() [1/2]

pappso::specglob::ScoreValues::ScoreValues | ( |  | ) |

Default constructor

Definition at line 46 of file scorevalues.cpp.

{
// #Scores to apply
// #Score for non alignment (int)
// sg.scoreNonAlign=-4
m_scoreTable[(std::uint8_t)ScoreValueType::scoreNonAlign] = -4;
// #Score for re-alignment (int)
// sg.scoreReAlignNative=-8
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignNative] = -8;
// sg.scoreReAlignSym=-8
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignSym] = -8;
// sg.scoreReAlignBoth=-6
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignBoth] = -6;
// #Score for good alignment(int)
m_scoreTable[(std::uint8_t)ScoreValueType::scoreAlignNative] = 7;
m_scoreTable[(std::uint8_t)ScoreValueType::scoreAlignSym] = 7;
m_scoreTable[(std::uint8_t)ScoreValueType::scoreAlignBoth] = 10;
// #Score for re - alignment without offset(int)
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignNativeNO] = 4;
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignSymNO] = 4;
m_scoreTable[(std::uint8_t)ScoreValueType::scoreReAlignBothNO] = 7;
}
pappso::specglob::ScoreValues::m_scoreTable
int m_scoreTable[10]
Definition scorevalues.h:76
pappso::specglob::ScoreValueType::scoreAlignNative
@ scoreAlignNative
Score for good alignment native (int)
pappso::specglob::ScoreValueType::scoreReAlignSymNO
@ scoreReAlignSymNO
Score for re-alignment without offset symmetric (int)
pappso::specglob::ScoreValueType::scoreNonAlign
@ scoreNonAlign
Score for non alignment (int)
pappso::specglob::ScoreValueType::scoreAlignBoth
@ scoreAlignBoth
Score for good alignment both (int)
pappso::specglob::ScoreValueType::scoreReAlignBoth
@ scoreReAlignBoth
Score for re-alignment both (int)
pappso::specglob::ScoreValueType::scoreReAlignBothNO
@ scoreReAlignBothNO
Score for re-alignment without offset both (int)
pappso::specglob::ScoreValueType::scoreReAlignSym
@ scoreReAlignSym
Score for re-alignment symmetric (int)
pappso::specglob::ScoreValueType::scoreReAlignNative
@ scoreReAlignNative
pappso::specglob::ScoreValueType::scoreAlignSym
@ scoreAlignSym
Score for good alignment symmetric (int)
pappso::specglob::ScoreValueType::scoreReAlignNativeNO
@ scoreReAlignNativeNO
Score for re-alignment without offset native (int)

References m_scoreTable, pappso::specglob::scoreAlignBoth, pappso::specglob::scoreAlignNative, pappso::specglob::scoreAlignSym, pappso::specglob::scoreNonAlign, pappso::specglob::scoreReAlignBoth, pappso::specglob::scoreReAlignBothNO, pappso::specglob::scoreReAlignNative, pappso::specglob::scoreReAlignNativeNO, pappso::specglob::scoreReAlignSym, and pappso::specglob::scoreReAlignSymNO.

## ScoreValues() [2/2]

pappso::specglob::ScoreValues::ScoreValues | ( | const ScoreValues & | other | ) |

Definition at line 74 of file scorevalues.cpp.

{
std::copy(other.m_scoreTable, other.m_scoreTable + 10, m_scoreTable);
}

References m_scoreTable.

## ~ScoreValues()

pappso::specglob::ScoreValues::~ScoreValues | ( |  | ) |

virtual

Destructor

Definition at line 79 of file scorevalues.cpp.

{
}

## Member Function Documentation

## get()

int pappso::specglob::ScoreValues::get | ( | ScoreValueType | type | ) |

Definition at line 84 of file scorevalues.cpp.

{
return m_scoreTable[(std::uint8_t)type];
}

References m_scoreTable.

Referenced by pappso::specglob::SpectralAlignment::align(), and pappso::specglob::SpectralAlignment::fillMatricesWithScores().

## operator=()

const ScoreValues & pappso::specglob::ScoreValues::operator= | ( | const ScoreValues & | other | ) |

Definition at line 96 of file scorevalues.cpp.

{
std::copy(other.m_scoreTable, other.m_scoreTable + 10, m_scoreTable);
return *this;
}

References m_scoreTable.

## set()

void pappso::specglob::ScoreValues::set | ( | ScoreValueType | type,
|  | int | value
| ) |  |

Definition at line 90 of file scorevalues.cpp.

{
m_scoreTable[(std::uint8_t)type] = value;
}

References m_scoreTable.

## Member Data Documentation

## m_scoreTable

int pappso::specglob::ScoreValues::m_scoreTable[10]

private

Definition at line 76 of file scorevalues.h.

Referenced by ScoreValues(), ScoreValues(), get(), operator=(), and set().

The documentation for this class was generated from the following files:

- pappsomspp/processing/specglob/scorevalues.h
- pappsomspp/processing/specglob/scorevalues.cpp